package com.prolog.cs.biz.inbound.remote.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * OMS ASN单明DTO
 */
public class OmsAsnBillDDTO implements Serializable {

	private static final long serialVersionUID = 5023435697972504603L;

	@ApiModelProperty(value = "ASN单明细表ID")
	private String lineid;

	@ApiModelProperty(value = "明细行号")
	private String seqno;

	@ApiModelProperty(value = "ASN单表ID")
	private String billid;

	@ApiModelProperty(value = "ASN单号")
	private String billno;

	@ApiModelProperty(value = "入库仓库ID")
	private String branchid;

	@ApiModelProperty(value = "入库仓库编号")
	private String branchcode;

	@ApiModelProperty(value = "入库仓库名称")
	private String branchname;

	@ApiModelProperty(value = "入库仓库库区ID")
	private String branchareaid;

	@ApiModelProperty(value = "入库仓库库区")
	private String brancharea;

	@ApiModelProperty(value = "货主ID")
	private String consignorid;

	@ApiModelProperty(value = "货主名称")
	private String consignorname;

	@ApiModelProperty(value = "商品ID")
	private String itemid;

	@ApiModelProperty(value = "商品编码")
	private String itemcode;

	@ApiModelProperty(value = "商品名称")
	private String itemname;

	@ApiModelProperty(value = "生产厂家")
	private String manufacturer;

	@ApiModelProperty(value = "父商品ID")
	private String parerntItemid;

	@ApiModelProperty(value = "商品类别ID(商品大类)--商品大类表")
	private String categoryId;

	@ApiModelProperty(value = "尺寸")
	private String sizeCode;

	@ApiModelProperty(value = "颜色")
	private String colorCode;

	@ApiModelProperty(value = "版本")
	private String revision;

	@ApiModelProperty(value = "包装数量")
	private BigDecimal packSize;

	@ApiModelProperty(value = "包装单位")
	private String packUnits;

	@ApiModelProperty(value = "件数")
	private BigDecimal itemPcs;

	@ApiModelProperty(value = "零数")
	private BigDecimal itemOdd;

	@ApiModelProperty(value = "数量")
	private BigDecimal itemQty;

	// 先预留
	@ApiModelProperty(value = "赠品数量")
	private BigDecimal freeQty;

	@ApiModelProperty(value = "重量")
	private BigDecimal itemWeight;

	@ApiModelProperty(value = "体积")
	private BigDecimal itemVolume;

	@ApiModelProperty(value = "含税单价")
	private BigDecimal price;

	@ApiModelProperty(value = "未税单价")
	private BigDecimal tniPrice;

	@ApiModelProperty(value = "含税金额")
	private BigDecimal amt;

	@ApiModelProperty(value = "未税金额")
	private BigDecimal tniAmt;

	@ApiModelProperty(value = "加工类型")
	private String machType;

	@ApiModelProperty(value = "批号")
	private String lotNo;

	@ApiModelProperty(value = "批次号")
	private String batchNo;

	@ApiModelProperty(value = "生产日期")
	private Date pdateFrom;

	@ApiModelProperty(value = "有效期至")
	private Date validUntil;

	@ApiModelProperty(value = "批准文号")
	private String approvalNumber;

	@ApiModelProperty(value = "备案凭证号")
	private String paperno;

	@ApiModelProperty(value = "产地")
	private String productionPlace;

	@ApiModelProperty(value = "行备注")
	private String lineRemark;

	@ApiModelProperty(value = "作废原因")
	private String closedReason;

	@ApiModelProperty(value = "拒收数量")
	private BigDecimal rejectQty;

	@ApiModelProperty(value = "退货厂商")
	private String rtVendorid;

	@ApiModelProperty(value = "退货原因")
	private String rtreason;

	@ApiModelProperty(value = "商品印次")
	private String edition;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "字符扩展属性1")
	private String attrStr1;

	@ApiModelProperty(value = "字符扩展属性2")
	private String attrStr2;

	@ApiModelProperty(value = "字符扩展属性3")
	private String attrStr3;

	@ApiModelProperty(value = "字符扩展属性4")
	private String attrStr4;

	@ApiModelProperty(value = "字符扩展属性5")
	private String attrStr5;

	@ApiModelProperty(value = "字符扩展属性6")
	private String attrStr6;

	@ApiModelProperty(value = "字符扩展属性7")
	private String attrStr7;

	@ApiModelProperty(value = "字符扩展属性8")
	private String attrStr8;

	@ApiModelProperty(value = "字符扩展属性9")
	private String attrStr9;

	@ApiModelProperty(value = "字符扩展属性10")
	private String attrStr10;

	@ApiModelProperty(value = "数字扩展属性1")
	private BigDecimal attrNum1;

	@ApiModelProperty(value = "数字扩展属性2")
	private BigDecimal attrNum2;

	@ApiModelProperty(value = "数字扩展属性3")
	private BigDecimal attrNum3;

	@ApiModelProperty(value = "数字扩展属性4")
	private BigDecimal attrNum4;

	@ApiModelProperty(value = "数字扩展属性5")
	private BigDecimal attrNum5;

	@ApiModelProperty(value = "日期属性扩展1")
	private Date attrDte1;

	@ApiModelProperty(value = "日期属性扩展2")
	private Date attrDte2;

	@ApiModelProperty(value = "日期属性扩展3")
	private Date attrDte3;

	@ApiModelProperty(value = "日期属性扩展4")
	private Date attrDte4;

	@ApiModelProperty(value = "日期属性扩展5")
	private Date attrDte5;

	@ApiModelProperty(value = "录入员")
	private String createby;

	@ApiModelProperty(value = "录入时间")
	private Date createdate;

	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID")
	private String penterpriseid;

	@ApiModelProperty(value = "企业名称")
	private String penterprisename;

	public String getLineid() {
		return lineid;
	}

	public void setLineid(String lineid) {
		this.lineid = lineid;
	}

	public String getSeqno() {
		return seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBranchid() {
		return branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getBranchareaid() {
		return branchareaid;
	}

	public void setBranchareaid(String branchareaid) {
		this.branchareaid = branchareaid;
	}

	public String getBrancharea() {
		return brancharea;
	}

	public void setBrancharea(String brancharea) {
		this.brancharea = brancharea;
	}

	public String getConsignorid() {
		return consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorname() {
		return consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getItemid() {
		return itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemcode() {
		return itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getItemname() {
		return itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getManufacturer() {
		return manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public String getParerntItemid() {
		return parerntItemid;
	}

	public void setParerntItemid(String parerntItemid) {
		this.parerntItemid = parerntItemid;
	}

	public String getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public String getSizeCode() {
		return sizeCode;
	}

	public void setSizeCode(String sizeCode) {
		this.sizeCode = sizeCode;
	}

	public String getColorCode() {
		return colorCode;
	}

	public void setColorCode(String colorCode) {
		this.colorCode = colorCode;
	}

	public String getRevision() {
		return revision;
	}

	public void setRevision(String revision) {
		this.revision = revision;
	}

	public BigDecimal getPackSize() {
		return packSize;
	}

	public void setPackSize(BigDecimal packSize) {
		this.packSize = packSize;
	}

	public String getPackUnits() {
		return packUnits;
	}

	public void setPackUnits(String packUnits) {
		this.packUnits = packUnits;
	}

	public BigDecimal getItemPcs() {
		return itemPcs;
	}

	public void setItemPcs(BigDecimal itemPcs) {
		this.itemPcs = itemPcs;
	}

	public BigDecimal getItemOdd() {
		return itemOdd;
	}

	public void setItemOdd(BigDecimal itemOdd) {
		this.itemOdd = itemOdd;
	}

	public BigDecimal getItemQty() {
		return itemQty;
	}

	public void setItemQty(BigDecimal itemQty) {
		this.itemQty = itemQty;
	}

	public BigDecimal getFreeQty() {
		return freeQty;
	}

	public void setFreeQty(BigDecimal freeQty) {
		this.freeQty = freeQty;
	}

	public BigDecimal getItemWeight() {
		return itemWeight;
	}

	public void setItemWeight(BigDecimal itemWeight) {
		this.itemWeight = itemWeight;
	}

	public BigDecimal getItemVolume() {
		return itemVolume;
	}

	public void setItemVolume(BigDecimal itemVolume) {
		this.itemVolume = itemVolume;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public BigDecimal getTniPrice() {
		return tniPrice;
	}

	public void setTniPrice(BigDecimal tniPrice) {
		this.tniPrice = tniPrice;
	}

	public BigDecimal getAmt() {
		return amt;
	}

	public void setAmt(BigDecimal amt) {
		this.amt = amt;
	}

	public BigDecimal getTniAmt() {
		return tniAmt;
	}

	public void setTniAmt(BigDecimal tniAmt) {
		this.tniAmt = tniAmt;
	}

	public String getMachType() {
		return machType;
	}

	public void setMachType(String machType) {
		this.machType = machType;
	}

	public String getLotNo() {
		return lotNo;
	}

	public void setLotNo(String lotNo) {
		this.lotNo = lotNo;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public Date getPdateFrom() {
		return pdateFrom;
	}

	public void setPdateFrom(Date pdateFrom) {
		this.pdateFrom = pdateFrom;
	}

	public Date getValidUntil() {
		return validUntil;
	}

	public void setValidUntil(Date validUntil) {
		this.validUntil = validUntil;
	}

	public String getApprovalNumber() {
		return approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getPaperno() {
		return paperno;
	}

	public void setPaperno(String paperno) {
		this.paperno = paperno;
	}

	public String getProductionPlace() {
		return productionPlace;
	}

	public void setProductionPlace(String productionPlace) {
		this.productionPlace = productionPlace;
	}

	public String getLineRemark() {
		return lineRemark;
	}

	public void setLineRemark(String lineRemark) {
		this.lineRemark = lineRemark;
	}

	public String getClosedReason() {
		return closedReason;
	}

	public void setClosedReason(String closedReason) {
		this.closedReason = closedReason;
	}

	public BigDecimal getRejectQty() {
		return rejectQty;
	}

	public void setRejectQty(BigDecimal rejectQty) {
		this.rejectQty = rejectQty;
	}

	public String getRtVendorid() {
		return rtVendorid;
	}

	public void setRtVendorid(String rtVendorid) {
		this.rtVendorid = rtVendorid;
	}

	public String getRtreason() {
		return rtreason;
	}

	public void setRtreason(String rtreason) {
		this.rtreason = rtreason;
	}

	public String getEdition() {
		return edition;
	}

	public void setEdition(String edition) {
		this.edition = edition;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getAttrStr1() {
		return attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getAttrStr6() {
		return attrStr6;
	}

	public void setAttrStr6(String attrStr6) {
		this.attrStr6 = attrStr6;
	}

	public String getAttrStr7() {
		return attrStr7;
	}

	public void setAttrStr7(String attrStr7) {
		this.attrStr7 = attrStr7;
	}

	public String getAttrStr8() {
		return attrStr8;
	}

	public void setAttrStr8(String attrStr8) {
		this.attrStr8 = attrStr8;
	}

	public String getAttrStr9() {
		return attrStr9;
	}

	public void setAttrStr9(String attrStr9) {
		this.attrStr9 = attrStr9;
	}

	public String getAttrStr10() {
		return attrStr10;
	}

	public void setAttrStr10(String attrStr10) {
		this.attrStr10 = attrStr10;
	}

	public BigDecimal getAttrNum1() {
		return attrNum1;
	}

	public void setAttrNum1(BigDecimal attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public BigDecimal getAttrNum2() {
		return attrNum2;
	}

	public void setAttrNum2(BigDecimal attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public BigDecimal getAttrNum3() {
		return attrNum3;
	}

	public void setAttrNum3(BigDecimal attrNum3) {
		this.attrNum3 = attrNum3;
	}

	public BigDecimal getAttrNum4() {
		return attrNum4;
	}

	public void setAttrNum4(BigDecimal attrNum4) {
		this.attrNum4 = attrNum4;
	}

	public BigDecimal getAttrNum5() {
		return attrNum5;
	}

	public void setAttrNum5(BigDecimal attrNum5) {
		this.attrNum5 = attrNum5;
	}

	public Date getAttrDte1() {
		return attrDte1;
	}

	public void setAttrDte1(Date attrDte1) {
		this.attrDte1 = attrDte1;
	}

	public Date getAttrDte2() {
		return attrDte2;
	}

	public void setAttrDte2(Date attrDte2) {
		this.attrDte2 = attrDte2;
	}

	public Date getAttrDte3() {
		return attrDte3;
	}

	public void setAttrDte3(Date attrDte3) {
		this.attrDte3 = attrDte3;
	}

	public Date getAttrDte4() {
		return attrDte4;
	}

	public void setAttrDte4(Date attrDte4) {
		this.attrDte4 = attrDte4;
	}

	public Date getAttrDte5() {
		return attrDte5;
	}

	public void setAttrDte5(Date attrDte5) {
		this.attrDte5 = attrDte5;
	}

	public String getCreateby() {
		return createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getPenterpriseid() {
		return penterpriseid;
	}

	public void setPenterpriseid(String penterpriseid) {
		this.penterpriseid = penterpriseid;
	}

	public String getPenterprisename() {
		return penterprisename;
	}

	public void setPenterprisename(String penterprisename) {
		this.penterprisename = penterprisename;
	}

}
